libglom-1.22: Glom::LayoutItem_Footer Class Reference

libglom-1.22 1.21.6

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Footer Class Reference
Inheritance diagram for Glom::LayoutItem_Footer:
[legend]
Collaboration diagram for Glom::LayoutItem_Footer:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Footer ()
| LayoutItem_Footer (const LayoutItem_Footer& src)
LayoutItem_Footer& | operator= (const LayoutItem_Footer& src)
virtual | ~LayoutItem_Footer ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

## Constructor & Destructor Documentation

Glom::LayoutItem_Footer::LayoutItem_Footer | ( |  | ) |

Glom::LayoutItem_Footer::LayoutItem_Footer | ( | const LayoutItem_Footer& | src | ) |

virtual Glom::LayoutItem_Footer::~LayoutItem_Footer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Footer::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Footer::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Footer::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_Footer& Glom::LayoutItem_Footer::operator= | ( | const LayoutItem_Footer& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_footer.h